package conf

import (
	ofc "git.loafle.net/overflow/overflow_config"
)

var Config Conf

type Conf struct {
	Server    ofc.Server             `json:"server" yaml:"server" toml:"server"`
	Auth      ofc.Auth               `json:"auth" yaml:"auth" toml:"auth"`
	Websocket ofc.Websocket          `json:"websocket" yaml:"websocket" toml:"websocket"`
	GRPC      ofc.GRPC               `json:"gRPC" yaml:"gRPC" toml:"gRPC"`
	Redis     ofc.Redis              `json:"redis" yaml:"redis" toml:"redis"`
	Handlers  map[string]ofc.Handler `json:"handlers" yaml:"handlers" toml:"handlers"`
}
