package subscribe

import (
	"context"

	"git.loafle.net/overflow/overflow_gateway_probe/server"
	ofs "git.loafle.net/overflow/overflow_subscriber"
)

func newProbeSubscriberHandler(ctx context.Context, channel string) ofs.SubscriberHandler {
	h := &probeSubscriberHandlers{
		ctx: ctx,
	}
	h.Channel = channel

	return h
}

type probeSubscriberHandlers struct {
	ofs.SubscriberHandlers
	ctx context.Context
}

func (h *probeSubscriberHandlers) OnSubscribe(payload string) {
	uid := "kdkdkd"
	channel := "auth"
	soc := server.GetSocket(channel, uid)

	soc.Write([]byte(payload))
}
